#!/bin/csh -f

if ( $#argv != 0 ) then
    echo "Usage : "$0
    exit 1
endif

## Set Debug Parameter 
# DEBUG=1; erase all temporary files 
#       0; leave all temporary files 
set DEBUG=1 

set TMPFILELIST=tmpfile.list
if( -f $TMPFILELIST ) then
  \rm $TMPFILELIST
endif

set CLLOG=log/cl`date +%y%m%d%H%M%S`.log 
set CLCOM=cl.com 
 
echo $CLCOM >> $TMPFILELIST 
 
if( !(-e log) ) then 
  mkdir log 
endif 
if( -f $CLLOG ) then 
  rm $CLLOG 
endif 
 
echo "IRAF Log of $0 $1 $2 $3" > $CLLOG 
 
echo "### Erase Temporary Frames ###"
echo "### Erase Temporary Frames ###" >> $CLLOG
echo "imdel *.imh" > $CLCOM
echo "imdel *.pl" >> $CLCOM
echo "imdel @ldata.tbl" >> $CLCOM
echo "imdel @mldata.tbl" >> $CLCOM
echo "logout" >> $CLCOM
cat $CLCOM | cl >>& $CLLOG
echo "IRAF log written in $CLLOG" 

if ( $DEBUG == 1 ) then
  foreach filename (`cat $TMPFILELIST`)
#    if ( -f $filename ) then
      \rm $filename
#    endif
  end
endif
